import { timesPrecision } from './chunk-5Q32IPX3.mjs';
import { float2FixedPrecision } from './chunk-WFMW2YAA.mjs';
import { stripPrecision } from './chunk-GPTFO2E2.mjs';
import { checkBoundaryPrecision } from './chunk-AD7ANKJD.mjs';
import { createOperationPrecision } from './chunk-ITZVOK4F.mjs';
import { digitLengthPrecision } from './chunk-HHTSEVTB.mjs';

// src/numberDivinePrecision.ts
var dividePrecision = createOperationPrecision((num1, num2) => {
  const num1Changed = float2FixedPrecision(num1);
  const num2Changed = float2FixedPrecision(num2);
  checkBoundaryPrecision(num1Changed);
  checkBoundaryPrecision(num2Changed);
  return timesPrecision(
    num1Changed / num2Changed,
    stripPrecision(10 ** (digitLengthPrecision(num2) - digitLengthPrecision(num1)))
  );
});

export { dividePrecision };
